gtk-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. System.Enum GLib.GType(typeof(Gtk.ScrollTypeGType)) An enumeration used by ScrolledWindow and Range.

This enumeration is used by and to decide how scrolling behaves.

- Field
  2.12.0.0
  Gtk.ScrollType Sets the scrollbar's slider to the end of the scrollbar.

  Sets the scrollbar's slider to the end of the scrollbar.

- Field
  2.12.0.0
  Gtk.ScrollType Sets the scrollbar's slider to the position described in the accompanying float parameter.

  The range of values are 0 to 1, with the halfway point being 0.5.

- Field
  2.12.0.0
  Gtk.ScrollType The default setting. Indicates that the scrollbar's slider is not moved.

  The default setting. Indicates that the scrollbar's slider is not moved.

- Field
  2.12.0.0
  Gtk.ScrollType Sets the scrollbar's slider back one page increment from its current position.

  The value of the step increment is taken from the underlying in the scrollbar.

- Field
  2.12.0.0
  Gtk.ScrollType Move the slider a page down.
- Field
  2.12.0.0
  Gtk.ScrollType Sets the scrollbar's slider forward one page increment from its current position.

  The value of the step increment is taken from the underlying in the scrollbar.

- Field
  2.12.0.0
  Gtk.ScrollType Sets the scrollbar's slider back one page increment to the left from its current position.

  Sets the scrollbar's slider back one page increment to the left from its current position.

- Field
  2.12.0.0
  Gtk.ScrollType Sets the scrollbar's slider forward one page increment to the right from its current position.

  Sets the scrollbar's slider forward one page increment to the right from its current position.

- Field
  2.12.0.0
  Gtk.ScrollType Move the slider a page up.
- Field
  2.12.0.0
  Gtk.ScrollType Sets the scrollbar's slider to the beginning of the scrollbar.

  Sets the scrollbar's slider to the beginning of the scrollbar.

- Field
  2.12.0.0
  Gtk.ScrollType Sets the scrollbar's slider back one step increment from its current position.

  The value of the step increment is taken from the underlying in the scrollbar.

- Field
  2.12.0.0
  Gtk.ScrollType Move the scroller a step down.
- Field
  2.12.0.0
  Gtk.ScrollType Sets the scrollbar's slider forward one step increment from its current position.

  The value of the step increment is taken from the underlying in the scrollbar.

- Field
  2.12.0.0
  Gtk.ScrollType Sets the scrollbar's slider back one step increment to the left from its current position.

  Sets the scrollbar's slider back one step increment to the left from its current position.

- Field
  2.12.0.0
  Gtk.ScrollType Sets the scrollbar's slider forward one step increment to the right from its current position.

  Sets the scrollbar's slider forward one step increment to the right from its current position.

- Field
  2.12.0.0
  Gtk.ScrollType Move the scroller a step up.